%define		source_name gmpc-jamendo
Summary:	Jamendo plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka udostępniająca dane z Jamendo dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-jamendo
Version:	11.8.16
Release:	3
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	7395074612fd7e1eec00427b65c9f188
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_JAMENDO
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gmpc-devel >= 0.20.2
BuildRequires:	gob2 >= 2.0.10
BuildRequires:	gtk+2-devel >= 2:2.4
BuildRequires:	intltool >= 0.21
BuildRequires:	libmpd-devel >= 0.19.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Browse and listen to music from Jamendo service.

%prep
%setup -q -n %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gmpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/*.so
%{_datadir}/gmpc/plugins/jamendo
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmpc-plugin-jamendo.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b8650d
- Release 3 (by relup.sh)

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 903ff8e
- Release 2 (by relup.sh)

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> ebdd724
- up to 11.8.16

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 8e05b1c
- BR: gettext-devel

* Sun Sep 12 2010 Artur Frysiak <artur@frysiak.net> 4022b83
- 0.20.0

* Sun Oct 04 2009 Artur Frysiak <artur@frysiak.net> 61dfbf0
- updated to 0.19.0

* Sun Sep 13 2009 Artur Frysiak <artur@frysiak.net> e46ef3f
- updated to 0.18.100

* Sun Mar 29 2009 Artur Frysiak <artur@frysiak.net> cab7dc9
- initial

